# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.89.0"
name = "tsuuchi"
version = "0.1.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Tsuuchi (通知) — platform-agnostic notification framework with trait-based backends"
homepage = "https://github.com/pleme-io/tsuuchi"
readme = "README.md"
keywords = [
    "notification",
    "alert",
    "toast",
    "desktop",
]
categories = ["os"]
license = "MIT"
repository = "https://github.com/pleme-io/tsuuchi"

[lib]
name = "tsuuchi"
path = "src/lib.rs"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.thiserror]
version = "2"

[dependencies.tracing]
version = "0.1"

[dev-dependencies.serde_json]
version = "1"

[lints.clippy]
missing_errors_doc = "allow"
missing_panics_doc = "allow"

[lints.clippy.pedantic]
level = "warn"
priority = -1
